%define	name	ncompress
%define	oname	compress
%define	version	4.2.4
%define	release	%mkrel 32

Summary:	Fast compression and decompression utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Archiving/Compression
URL:		ftp://sunsite.unc.edu/pub/Linux/utils/compress/
Source:		ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}.tar.bz2
Patch0:		ncompress-4.2.4-make.patch.bz2
Patch1:		ncompress-4.2.4-lfs2.patch.bz2
Patch2:		ncompress-4.2.4-filenamelen.patch.bz2
Patch3:		ncompress-2GB.patch.bz2
Patch4:		ncompress-4.2.4-CVE-2006-1168.patch
Patch5:		ncompress-4.2.4-zerobyteforce.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ncompress package contains the compress and uncompress
file compression and decompression utilities, which are compatible
with the original UNIX compress utility (.Z file extensions).  These
utilities can't handle gzipped (.gz file extensions) files, but
gzip can handle compressed files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .lfs
%patch2 -p1 -b .filenamelen
%patch3 -p1 -b .2gb
%patch4 -p0 -b .cve-2006-1168
%patch5 -p1 -b .zerobyteforce

%build
#- check for cpu endianess
F=./ck-endian
cat > $F.c << EOF
int main(void) {
  union { long l; char c[sizeof(long)]; } u = { .l = 1 };
  return u.c[sizeof(long) - 1] == 1;
}
EOF
%__cc -o $F $F.c || exit 1
ENDIAN_FLAGS="`$F && echo 4321 || echo 1234`"

#- check for 32-bit cpus
F=./ck-arch32
echo 'int main(void) { return sizeof(void *) != 4; }' | %__cc -o $F -xc - || exit 1
$F && ARCH32_FLAGS=" -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"

#- extra CFLAGS
%ifarch alpha
EXTRA_FLAGS="-DNOALIGN=0"
%endif

%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS $ARCH32_FLAGS $EXTRA_FLAGS" ENDIAN="$ENDIAN_FLAGS"

%install
rm -rf %{buildroot}
install -m755 %{oname} -D %{buildroot}%{_bindir}/%{oname}
ln -sf %{oname} %{buildroot}%{_bindir}/uncompress
install -m644 %{oname}.1 -D %{buildroot}%{_mandir}/man1/%{oname}.1
ln -sf %{oname}.1.bz2 %{buildroot}%{_mandir}/man1/uncompress.1.bz2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%doc LZW.INFO README Changes Acknowleds

%changelog
* Tue Sep 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.2.4-32mdv2007.0
- cosmetics
- P5 from fedora:
	o fix problems with compressing zero-sized files (rh #189215, rh #189216)

* Tue Aug 29 2006 Oden Eriksson <oeriksson@mandriva.com> 4.2.4-31
- added fixes from 4.2.4-28.1.20060mdk:
  - P4: security fix for CVE-2006-1168

* Fri Jan 27 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.4-30mdk
- generic build, thus also enabling ppc64

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.2.4-29mdk
- Rebuild

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.2.4-28mdk
- permit files > 2GB to be compressed (P3 from fedora)
- add sparcv9 sparc64 & ppc64 to arch flags

* Thu Oct 21 2004 Giuseppe Ghibó <ghibo@mandrakesoft.com> 4.2.4-27mdk
- added x86_64 to arch flags.

* Sun Aug 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.2.4-26mdk
- rebuild

* Mon Apr 19 2004 Michael Scherer <misc@mandrake.org> 4.2.4-25mdk 
- Rebuild

* Wed Mar 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.2.4-24mdk
- oops, removed zcmp, zmore and zdiff from package

* Fri Mar 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.2.4-23mdk
- reintroduced, merged patches from redhat and cleaned up
- added zcmp, zmore and zdiff to package
- added some docs

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 4.2.4-22mdk
- rebuilt for cooker

* Sun Sep 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.4-21mdk
- rebuilt for macros.
- use of spec helper.
- the Big Move.

* Fri Apr 14 2000 Vincent Saugey <vince@mandrakesoft.com> 4.2.4-20mdk
- corrected group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 4.2.4-19mdk
- Added PPC Support

* Wed Nov 10 1999 Jerome Martin <jerome@mandrakesoft.com>
- minor specfile cleanup
- rebuild for new environment

* Sun Oct 31 1999 David BAUDENS <baudens@mandrakesoft.com>
- Add i486 and i686 arch (forgotten by Lord DarkChmou ;)

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix build mutliple archichtechtures..

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- build on armv4l too
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
